%define major 3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	KDE partition management library
Name:		kpmcore
Version:	2.2.1
Release:	1
License:	GPLv3+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable//%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:	kpmcore_ru.tar.gz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(libparted)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	partitionmanager < 2.0.0

%description
KDE partition management library.

%files
%{_kde5_services}/pmdummybackendplugin.desktop
%{_kde5_services}/pmlibpartedbackendplugin.desktop
%{_kde5_servicetypes}/pmcorebackendplugin.desktop
%{_qt5_plugindir}/libpmdummybackendplugin.so
%{_qt5_plugindir}/libpmlibpartedbackendplugin.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE partition management library translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDE partition management library translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	KDE partition management shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libname}
KDE partition management shared library.

%files -n %{libname}
%{_kde5_libdir}/libkpmcore.so.%{major}
%{_kde5_libdir}/libkpmcore.so.%{version}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for KDE partition management shared library
Group:		Development/KDE and Qt
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devname}
%{_kde5_includedir}/kpmcore
%{_kde5_libdir}/cmake/KPMcore
%{_kde5_libdir}/libkpmcore.so

#----------------------------------------------------------------------------

%prep
%setup -q

pushd po/ru
tar -xvzf %{SOURCE1}
popd

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name}

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.2.1-1
- (ec2b67d) New version 2.2.1


